Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Friends | Public Member Functions | List of all members
ranges::v3::any Struct Reference

## Friends
template<typename T >
meta::if_c< std::is_reference< T >)||Copyable< T >), T > | any_cast (any &)
template<typename T >
meta::if_c< std::is_reference< T >)||Copyable< T >), T > | any_cast (any const &)
template<typename T >
meta::if_c< std::is_reference< T >)||Copyable< T >), T > | any_cast (any &&)
template<typename T >
T * | any_cast (any *) noexcept
template<typename T >
T const * | any_cast (any const *) noexcept
void | swap (any &x, any &y) noexcept

## Public Member Functions
template<typename TRef , typename T = detail::decay_t<TRef>, requires = (Copyable<T>() && !Same<T, any>())>
| any (TRef &&t)
| any (any &&) noexcept=default
| any (any const &that)
void | clear () noexcept
bool | empty () const noexcept
any & | operator= (any &&) noexcept=default
any & | operator= (any const &that)
template<typename TRef , typename T = detail::decay_t<TRef>, requires = (Copyable<T>() && !Same<T, any>())>
any & | operator= (TRef &&t)
void | swap (any &that) noexcept
std::type_info const & | type () const noexcept

## Methods

## ◆ any_cast [1/5]

template<typename T >

meta::if_c<std::is_reference<T>) || Copyable<T>), T> any_cast | ( | any & | x | ) |
| friend

Exceptions

  bad_any_cast |

## ◆ any_cast [2/5]

template<typename T >

meta::if_c<std::is_reference<T>) || Copyable<T>), T> any_cast | ( | any const & | x | ) |
| friend

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ any_cast [3/5]

template<typename T >

meta::if_c<std::is_reference<T>) || Copyable<T>), T> any_cast | ( | any && | x | ) |
| friend

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ any_cast [4/5]

template<typename T >

T* any_cast | ( | any * | p | ) |
| friend

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ any_cast [5/5]

template<typename T >

T const* any_cast | ( | any const * | p | ) |
| friend

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.